## org.eclipse.jst.jsf.facesconfig.emf
Interface ApplicationType

All Known Implementing Classes:
  ApplicationTypeImpl

    public interface ApplicationType

A representation of the model object 'Application Type'.

The following features are supported:

- `Action Listener`
- `Default Render Kit Id`
- `Message Bundle`
- `Navigation Handler`
- `View Handler`
- `State Manager`
- `EL Resolver`
- `Property Resolver`
- `Variable Resolver`
- `Resource Handler`
- `System Event Listener`
- `Locale Config`
- `Resource Bundle`
- `Application Extension`
- `Default Validators`
- `Id`

See Also:
  `FacesConfigPackage.getApplicationType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getActionListener()` Returns the value of the 'Action Listener' containment reference list.
`EList` `getApplicationExtension()` Returns the value of the 'Application Extension' reference list.
`EList` `getDefaultRenderKitId()` Returns the value of the 'Default Render Kit Id' containment reference list.
`EList` `getDefaultValidators()` Returns the value of the 'Default Validators' reference list.
`EList` `getELResolver()` Returns the value of the 'EL Resolver' reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`EList` `getLocaleConfig()` Returns the value of the 'Locale Config' containment reference list.
`EList` `getMessageBundle()` Returns the value of the 'Message Bundle' containment reference list.
`EList` `getNavigationHandler()` Returns the value of the 'Navigation Handler' containment reference list.
`EList` `getPropertyResolver()` Returns the value of the 'Property Resolver' containment reference list.
`EList` `getResourceBundle()` Returns the value of the 'Resource Bundle' reference list.
`EList` `getResourceHandler()` Returns the value of the 'Resource Handler' containment reference list.
`EList` `getStateManager()` Returns the value of the 'State Manager' containment reference list.
`EList` `getSystemEventListener()` Returns the value of the 'System Event Listener' reference list.
`EList` `getVariableResolver()` Returns the value of the 'Variable Resolver' containment reference list.
`EList` `getViewHandler()` Returns the value of the 'View Handler' containment reference list.
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getActionListener

    EList getActionListener()

  Returns the value of the 'Action Listener' containment reference list. The list contents are of type `ActionListenerType`.

  If the meaning of the 'Action Listener' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Action Listener' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_ActionListener()`

### getDefaultRenderKitId

    EList getDefaultRenderKitId()

  Returns the value of the 'Default Render Kit Id' containment reference list. The list contents are of type `DefaultRenderKitIdType`.

  If the meaning of the 'Default Render Kit Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Render Kit Id' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_DefaultRenderKitId()`

### getMessageBundle

    EList getMessageBundle()

  Returns the value of the 'Message Bundle' containment reference list. The list contents are of type `MessageBundleType`.

  If the meaning of the 'Message Bundle' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Message Bundle' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_MessageBundle()`

### getNavigationHandler

    EList getNavigationHandler()

  Returns the value of the 'Navigation Handler' containment reference list. The list contents are of type `NavigationHandlerType`.

  If the meaning of the 'Navigation Handler' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Navigation Handler' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_NavigationHandler()`

### getViewHandler

    EList getViewHandler()

  Returns the value of the 'View Handler' containment reference list. The list contents are of type `ViewHandlerType`.

  If the meaning of the 'View Handler' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'View Handler' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_ViewHandler()`

### getStateManager

    EList getStateManager()

  Returns the value of the 'State Manager' containment reference list. The list contents are of type `StateManagerType`.

  If the meaning of the 'State Manager' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'State Manager' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_StateManager()`

### getPropertyResolver

    EList getPropertyResolver()

  Returns the value of the 'Property Resolver' containment reference list. The list contents are of type `PropertyResolverType`.

  If the meaning of the 'Property Resolver' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Property Resolver' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_PropertyResolver()`

### getVariableResolver

    EList getVariableResolver()

  Returns the value of the 'Variable Resolver' containment reference list. The list contents are of type `VariableResolverType`.

  If the meaning of the 'Variable Resolver' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Variable Resolver' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_VariableResolver()`

### getResourceHandler

    EList getResourceHandler()

  Returns the value of the 'Resource Handler' containment reference list. The list contents are of type `ResourceHandlerType`.

  If the meaning of the 'Resource Handler' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Resource Handler' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_ResourceHandler()`

### getSystemEventListener

    EList getSystemEventListener()

  Returns the value of the 'System Event Listener' reference list. The list contents are of type `SystemEventListenerType`.

  If the meaning of the 'System Event Listener' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'System Event Listener' reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_SystemEventListener()`

### getLocaleConfig

    EList getLocaleConfig()

  Returns the value of the 'Locale Config' containment reference list. The list contents are of type `LocaleConfigType`.

  If the meaning of the 'Locale Config' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Locale Config' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_LocaleConfig()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getApplicationType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`

### getELResolver

    EList getELResolver()

  Returns the value of the 'EL Resolver' reference list. The list contents are of type `ELResolverType`.

  If the meaning of the 'EL Resolver' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EL Resolver' reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_ELResolver()`

### getResourceBundle

    EList getResourceBundle()

  Returns the value of the 'Resource Bundle' reference list. The list contents are of type `ResourceBundleType`.

  If the meaning of the 'Resource Bundle' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Resource Bundle' reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_ResourceBundle()`

### getApplicationExtension

    EList getApplicationExtension()

  Returns the value of the 'Application Extension' reference list. The list contents are of type `ApplicationExtensionType`.

  If the meaning of the 'Application Extension' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Application Extension' reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_ApplicationExtension()`

### getDefaultValidators

    EList getDefaultValidators()

  Returns the value of the 'Default Validators' reference list. The list contents are of type `DefaultValidatorsType`.

  If the meaning of the 'Default Validators' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Validators' reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_DefaultValidators()`